Bug 1337806 (CVE-2016-4440)

Summary: CVE-2016-4440 Kernel: kvm: vmx: incorrect state update leading to MSR access
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, arm-mgr, bhu, carnil, dhoward, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:52:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1337807    
Bug Blocks: 1337277    

Description Prasad J Pandit 2016-05-20 06:37:59 UTC
Linux kernel built with the Kernel-based virtual machine(CONFIG_KVM) along
with Hyper-v Synthetic Interrupt Controller(SynIC) support is vulnerable to
an undue APIC register access issue. In that a guest with SynIC enabled, could
gain access to host's Machine Specific Registers(MSR).

A privileged user inside guest could use this flaw to crash the host kernel
resulting in DoS OR potentially leverage it to escalate privileges on the host.

Upstream patch:
---------------
  -> http://permalink.gmane.org/gmane.comp.emulators.kvm.devel/152191

Reference:
----------
  -> http://comments.gmane.org/gmane.comp.emulators.kvm.devel/152100


Note: It requires fairly latest features to be available and enabled on the
host(APICv) as well as in the guest(-hv-synic).

Comment 1 Prasad J Pandit 2016-05-20 06:38:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1337807]

Comment 2 Prasad J Pandit 2016-05-20 06:39:45 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 4 Fedora Update System 2016-06-02 14:58:20 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-18 18:50:00 UTC
kernel-4.5.6-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.